Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQTextDecoder Class Reference

The TQTextDecoder class provides a state-based decoder. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqtextcodec.h>`

List of all member functions.

## Public Members

- virtual ~TQTextDecoder ()
- virtual TQString toUnicode ( const char * chars, int len ) = 0

## Detailed Description

The TQTextDecoder class provides a state-based decoder.

The decoder converts a text format into Unicode, remembering any state that is required between calls.

See also TQTextCodec::makeEncoder() and Internationalization with TQt.

## Member Function Documentation

### TQTextDecoder::~TQTextDecoder ()`[virtual]`

Destroys the decoder.

### TQString TQTextDecoder::toUnicode ( const char * chars, int len )`[pure virtual]`

Converts the first len bytes in chars to Unicode, returning the result.

If not all characters are used (e.g. if only part of a multi-byte encoding is at the end of the characters), the decoder remembers enough state to continue with the next call to this function.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.